#####################################
#           Form extensions         #
#####################################

services:

    App\Form\Extension\CheckboxExtension:
        tags:
            - { name: form.type_extension,
                extended_type: Symfony\Component\Form\Extension\Core\Type\CheckboxType }

    App\Form\Extension\ChoiceExtension:
        tags:
            - { name: form.type_extension,
                extended_type: Symfony\Component\Form\Extension\Core\Type\ChoiceType }

    App\Form\Extension\RadioExtension:
        tags:
            - { name: form.type_extension,
                extended_type: Symfony\Component\Form\Extension\Core\Type\RadioType }

    App\Form\Extension\TextareaEditorExtension:
        tags:
            - { name: form.type_extension,
                extended_type: Symfony\Component\Form\Extension\Core\Type\TextareaType }

    App\Form\Extension\TextareaSizeExtension:
        tags:
            - { name: form.type_extension,
                extended_type: Symfony\Component\Form\Extension\Core\Type\TextareaType }

    App\Form\Extension\TextExtension:
        tags:
            - { name: form.type_extension,
                extended_type: Symfony\Component\Form\Extension\Core\Type\TextType }